Subject: Re: bug#34781: 27.0.50; integer in pcase sometimes compared by eq

From: Michael Heerdegen <[email-masked]>
Date: Thu, 28 Mar 2019 20:47:42 +0100

Paul Eggert <[email-masked]> writes:

> What happens if a source file that uses pcase is compiled on a 64-bit
> machine that has wide fixnums, and is then loaded and run on a 32-bit
> machine that has narrow fixnums? Will this pcase code still work? And
> if not, are there similar bugs elsewhere in the pcase code?

AFAIU the patch only corrects an optimization (use `memq' instead of
`member') that doesn't work for bignums.  This can never be harmful.

I had a quick look at pcase.el, and also tried the obvious cases (quote,
backquote), and didn't find any other obvious bug.

Michael.